SPSecurity.RunWithElevatedPrivileges(delegate() {

6 posts, 0 answers
  1. Frank Mainzer
    Frank Mainzer avatar
    4 posts
    Member since:
    Aug 2012

    Posted 20 Aug 2012 Link to this post

    WRONG Titel!!!

    Control requires script manager would be the title

    Hi,

    I installed the Acceleration Kit, set it up. In SPD 2010 it shows the editor but it complains that it misses the script manager. However that one is in the mast page.

    Any idea?

    frank
  2. Stanimir
    Admin
    Stanimir avatar
    1653 posts

    Posted 23 Aug 2012 Link to this post

    Hello,

    Are you trying to use RadEditor in a SharePoint custom solution such as WebPart or some thing else. If this is the case you should know that we always recommend the use of SPRadEditor class, which is defined in the Telerik.SharePoint namespace of RadEditorSharePoint assembly. This is a control designed especially for SharePoint. It has custom content provider, which enables the dialogs to work with the SharePoint's libraries. For more information review  the online help describing this control http://www.telerik.com/help/aspnet-ajax/moss-sp2010-moss-introduction.html


    Greetings,
    Stanimir
    the Telerik team
    If you want to get updates on new releases, tips and tricks and sneak peeks at our product labs directly from the developers working on the RadControls for ASP.NET AJAX, subscribe to their blog feed now.

  3. Frank Mainzer
    Frank Mainzer avatar
    4 posts
    Member since:
    Aug 2012

    Posted 23 Aug 2012 Link to this post

    Hi,

    I installed the Sharepoint Telerik_AJAX_Controls_2012_2_724_for_SharePoint_2010_Trial.msi package.

    Then I opened up my page an the multiline textfield are now using the Telerik control. The page looks OK only that the control has they error message regarding the script manager.

    There is no webpart development at the moment.

    Do you suggest me to install something else?

    frank
  4. Stanimir
    Admin
    Stanimir avatar
    1653 posts

    Posted 23 Aug 2012 Link to this post

    Hello,

    No you do not need to install anything else. RadEditor for SP 2010 is included in the msi package.
    Could you provide me with a screen shot, where I can actually see the problem. Once I review it I will advise you further.

    Greetings,
    Stanimir
    the Telerik team
    If you want to get updates on new releases, tips and tricks and sneak peeks at our product labs directly from the developers working on the RadControls for ASP.NET AJAX, subscribe to their blog feed now.
  5. Frank Mainzer
    Frank Mainzer avatar
    4 posts
    Member since:
    Aug 2012

    Posted 23 Aug 2012 Link to this post

    Hi,

    the SPD screenshot.

    Part of the message is in German...

    frank
  6. Rumen
    Admin
    Rumen avatar
    12851 posts

    Posted 27 Aug 2012 Link to this post

    Hi,

    I talked with one of our SharePoint developers and he told that we do not control the message displayed by the SharePoint Designer 2010. If RadEditor for SharePoint 2010 functions as expected in runtime in your SharePoint site, you should do not worry about the error in SPD 2010.

    Best regards,
    Rumen
    the Telerik team
    If you want to get updates on new releases, tips and tricks and sneak peeks at our product labs directly from the developers working on the RadControls for ASP.NET AJAX, subscribe to their blog feed now.
Back to Top